Scan Groups
Scan groups allow you to define sets of scan configurations that can be assigned to access devices. Each scan group specifies which events and ticket types a device is permitted to scan.
Please note:
GROUP events and ROOT events should not be assigned to scan groups.
Endpoints
The Scan Group object
Attributes
_id
Required
string
The ID of the scan group.
name
Required
string
The name of the scan group.
sellerId
Required
string
The ID of the seller of the scan group.
createdAt
Required
string date-time
An ISO Timestamp indicating when the resource was created.
updatedAt
Required
string date-time
An ISO Timestamp indicating when the resource was updated.
Optional Attributes
Collapse allExample
{"_id": "string","name": "string","sellerId": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"},"createdAt": "2030-01-23T23:00:00.123Z","updatedAt": "2030-01-23T23:00:00.123Z"}
Create a Scan Group
Payload
name
Required
string
The name of the scan group.
Optional Attributes
Collapse allResponses
201
Created
400
Bad Request
401
Unauthorized
post
/api/scan-groups
{"name": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"}}
Response
application/json
{"_id": "string","name": "string","sellerId": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"},"createdAt": "2030-01-23T23:00:00.123Z","updatedAt": "2030-01-23T23:00:00.123Z"}
get
/api/scan-groups/{id}
Response
application/json
{"_id": "string","name": "string","sellerId": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"},"createdAt": "2030-01-23T23:00:00.123Z","updatedAt": "2030-01-23T23:00:00.123Z"}
Update a Scan Group
Payload
name
Required
string
The name of the scan group.
Optional Attributes
Collapse allResponses
200
OK
400
Bad Request
401
Unauthorized
put
/api/scan-groups/{id}
{"name": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"}}
Response
application/json
{"_id": "string","name": "string","sellerId": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"},"createdAt": "2030-01-23T23:00:00.123Z","updatedAt": "2030-01-23T23:00:00.123Z"}
Delete a Scan Group
Query
No supported query parameters
Responses
200
OK
400
Bad Request
401
Unauthorized
404
Not Found
delete
/api/scan-groups/{id}
Response
application/json
{"_id": "string","name": "string","sellerId": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"},"createdAt": "2030-01-23T23:00:00.123Z","updatedAt": "2030-01-23T23:00:00.123Z"}
Get All Scan Groups
Query
name
Optional
string
The filter by name.
top
Optional
integer
A limit on the number of objects to be returned. Can range between 1 and 1000.
skip
Optional
integer
The number of objects to skip for the requested result
Responses
200
OK
400
Bad Request
401
Unauthorized
get
/api/scan-groups
Response
application/json
{"docs": [{"_id": "string","name": "string","sellerId": "string","scanConfig": {"mode": "lock","events": [{"eventId": "string","allowAllTicketTypes": true,"allowedTicketTypeIds": ["string"]}],"scanZoneId": "string"},"createdAt": "2030-01-23T23:00:00.123Z","updatedAt": "2030-01-23T23:00:00.123Z"}],"total": 1}
